flutter_fimber 0.1.5

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new72

Flutter plug-in for Fimber

This plug-in will make the logging via Fimber into native OS logging output.

Getting Started - import

Dependency setup

  flutter_fimber: ^0.1.5

Import setup

import 'package:flutter_fimber/flutter_fimber.dart';

Plant a log tree

In code on start of your application add FimberTree like this:

  Fimber.plantTree(FimberTree());

iOS and Android platforms supported.

For more usage see Fimber project

0.1.5 parity update with fimber

0.1.4 iOS update

  • dump stacktrace for exception passed to log method

0.1.3 iOS plugin release

  • iOS plugin part
  • other 0.1.3 updates from Fimber

0.1.2 Android Plugin release for fimber dart logging

  • First version with Android Log support
  • Adds stacktrace from dart to std output when exception is passed
  • Log levels passed through

example/README.md

flutter_fimber_example

Demonstrates how to use the flutter_fimber plugin.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_fimber: ^0.1.5

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_fimber/flutter_fimber.dart';
  
Version Uploaded Documentation Archive
0.1.5 Dec 6, 2018 Go to the documentation of flutter_fimber 0.1.5 Download flutter_fimber 0.1.5 archive
0.1.4 Nov 30, 2018 Go to the documentation of flutter_fimber 0.1.4 Download flutter_fimber 0.1.4 archive
0.1.3 Nov 27, 2018 Go to the documentation of flutter_fimber 0.1.3 Download flutter_fimber 0.1.3 archive
0.1.2 Nov 24, 2018 Go to the documentation of flutter_fimber 0.1.2 Download flutter_fimber 0.1.2 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
45
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
72
Learn more about scoring.

We analyzed this package on Dec 6, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.7
  • Flutter: 1.0.0

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
fimber ^0.1.4 0.1.5
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8